HTTP API

Agent

GET/api/v1/agents
GET
/api/v1/agents

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Query Parameters

q?string

Full-text search query applied to display name and description.

page?integer

1-indexed page number.

Formatint64
Range0 <= value
page_size?integer

Page size (max 100).

Formatint64
Range0 <= value
sort_by?string

Sort field (created_at, display_name, key).

sort_order?string

Sort order (asc or desc).

Value in

  • "asc"
  • "desc"
visibility?string

Filter by visibility (private, organization).

Value in

  • "private"
  • "organization"
status?string

Filter by status (active, disabled).

Value in

  • "active"
  • "disabled"
filter?array<string>

Additional filter expressions in the form field:operator:value.

Response Body

application/json

curl -X GET "https://example.com/api/v1/agents"
{  "agents": [    {      "agent_id": "string",      "created_at": "2019-08-24T14:15:22Z",      "description": "string",      "display_name": "string",      "key": "string",      "org_id": "string",      "owner_id": "string",      "profile_url": "string",      "status": "active",      "updated_at": "2019-08-24T14:15:22Z",      "visibility": "private"    }  ],  "pagination": {    "has_more": true,    "page": 0,    "page_size": 0,    "total": 0  }}
POST/api/v1/agents
POST
/api/v1/agents

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v1/agents" \  -H "Content-Type: application/json" \  -d '{    "agent_toml": "string",    "description": "string",    "display_name": "string",    "key": "string",    "prompt_text": "string"  }'
{  "agent_id": "string",  "created_at": "2019-08-24T14:15:22Z",  "display_name": "string",  "key": "string"}
POST/api/v1/agents/resolve
POST
/api/v1/agents/resolve

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v1/agents/resolve" \  -H "Content-Type: application/json" \  -d '{    "keys": [      "string"    ]  }'
{  "missing": [    "string"  ],  "resolved": [    {      "agent_id": "string",      "created_at": "2019-08-24T14:15:22Z",      "description": "string",      "display_name": "string",      "key": "string",      "org_id": "string",      "owner_id": "string",      "profile_url": "string",      "status": "active",      "updated_at": "2019-08-24T14:15:22Z",      "visibility": "private",      "agent_toml": "string",      "compaction_toml": "string",      "intent_toml": "string",      "memory_toml": "string",      "procedures": null,      "prompt_text": "string",      "rag_toml": "string",      "shield_toml": "string"    }  ]}
GET/api/v1/agents/resolve/{key}
GET
/api/v1/agents/resolve/{key}

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

key*string

Response Body

application/json

curl -X GET "https://example.com/api/v1/agents/resolve/string"
{  "agent_id": "string",  "created_at": "2019-08-24T14:15:22Z",  "description": "string",  "display_name": "string",  "key": "string",  "org_id": "string",  "owner_id": "string",  "profile_url": "string",  "status": "active",  "updated_at": "2019-08-24T14:15:22Z",  "visibility": "private",  "agent_toml": "string",  "compaction_toml": "string",  "intent_toml": "string",  "memory_toml": "string",  "procedures": null,  "prompt_text": "string",  "rag_toml": "string",  "shield_toml": "string"}
GET/api/v1/agents/{agent_id}
GET
/api/v1/agents/{agent_id}

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

agent_id*string

Query Parameters

view?string

Response detail level: "full" (default, includes prompt/TOML payloads) or "summary" (metadata only).

Response Body

application/json

curl -X GET "https://example.com/api/v1/agents/string"
{  "agent_id": "string",  "created_at": "2019-08-24T14:15:22Z",  "description": "string",  "display_name": "string",  "key": "string",  "org_id": "string",  "owner_id": "string",  "profile_url": "string",  "status": "active",  "updated_at": "2019-08-24T14:15:22Z",  "visibility": "private",  "agent_toml": "string",  "compaction_toml": "string",  "intent_toml": "string",  "memory_toml": "string",  "procedures": null,  "prompt_text": "string",  "rag_toml": "string",  "shield_toml": "string"}
DELETE/api/v1/agents/{agent_id}
DELETE
/api/v1/agents/{agent_id}

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

agent_id*string

Response Body

curl -X DELETE "https://example.com/api/v1/agents/string"
Empty
PUT/api/v1/agents/{agent_id}
PUT
/api/v1/agents/{agent_id}

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

agent_id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/api/v1/agents/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "agent_id": "string",  "created_at": "2019-08-24T14:15:22Z",  "description": "string",  "display_name": "string",  "key": "string",  "org_id": "string",  "owner_id": "string",  "profile_url": "string",  "status": "active",  "updated_at": "2019-08-24T14:15:22Z",  "visibility": "private",  "agent_toml": "string",  "compaction_toml": "string",  "intent_toml": "string",  "memory_toml": "string",  "procedures": null,  "prompt_text": "string",  "rag_toml": "string",  "shield_toml": "string"}

On this page